package tag;

import exeptions.IllegalValueObjectArgument;

public record TagName(String name) {

	public TagName {
		if (name.isEmpty() || name.isBlank()) {
			throw new IllegalValueObjectArgument("A Tag name must be a valid non-empty string.");
		}
	}

	@Override
	public String toString() {
		return name;
	}
}
